/***************************************************************************************/
/* obj_matri.h                                                I.P.S  v 3.1  18/11/1993 */
/*                                                                                     */
/* gestion de l'objet matri (ico->nat_obj = ICO_MATRI)   Edouard.Thiel@lim.univ-mrs.fr */
/***************************************************************************************/


/* Type Matri */

typedef struct {
	int		xtot, ytot,		/* taille de la matrice			*/
			tit_n,			/* nombre de sous titres		*/
			tit_x[5], tit_y[5],	/* coord x et y des sous titres		*/
			tit_deb[5], tit_len[5];	/* debut et taille ss titres dans s_ch	*/
	char		*titre;			/* titre de la matri			*/
	double		*tab;			/* tableau de la matrice		*/
	Frame		frame_edi;		/* Frame d'edition de la matri		*/
	} Matri;

typedef struct {
	Matri		*matri;
	} Matri_edi;



extern void		matri_init			();
extern void		matri_free 			();
extern void		matri_duplic			();
extern void		matri_affi_ico			();
extern void		matri_frame_kill		();
extern void		matri_CloseAllWin		();



