/******************************************************************************/
/* exemple3.c                        20/03/96 - Edouard.Thiel@lim.univ-mrs.fr */
/*                                                                            */
/* 3. ACTIONS DANS LES BOITES DE PARAMETRES                                   */
/******************************************************************************/

/* 
 * Le include suivant est OBLIGATOIRE dans tous vos .c 
*/ 
#include "../IpsDir/include/tel_oper.h"


/*
 * Fonction ex3_fixer_masque appelee par l'operateur ExSetMask
 *
 * Effet : ecrit le numero du masque dans le fichier /tmp/ips_masque_ex3.txt
 *
*/
void ex3_fixer_masque (n)
int n;
{
    FILE *f = fopen ("/tmp/ips_masque_ex3.txt", "w+");
    if (f != NULL) fprintf (f, "%d\n", n);
    fclose (f);
}


/*
 * Fonction ex3_lire_masque appelee par les operateurs ExSetMask et ExLireMask
 *
 * Effet : lit le numero du masque dans le fichier /tmp/ips_masque_ex3.txt
 *
*/
int ex3_lire_masque ()
{
    char bla[80];
    int v = 0;
    FILE *f = fopen ("/tmp/ips_masque_ex3.txt", "r");
    if (f != NULL)
	if (fgets (bla, sizeof(bla) -1, f) != NULL)
	    v = atoi (bla);
    fclose (f);
    return v;
}


