/***************************************************************************************/
/* co_define.h                                                I.P.S  v 3.1  18/11/1993 */
/*                                                                                     */
/*                                                       Edouard.Thiel@lim.univ-mrs.fr */
/***************************************************************************************/

/*
 * valeur = CO_GET_ (numero_parametre);
*/

#define  CO_GET_REAL(n)			*((double *)				\
					oper_get (p->oper, IPS_PAR_REAL, n))
#define  CO_GET_TEXT(n)			(char *)				\
					oper_get (p->oper, IPS_PAR_TEXT, n)
#define  CO_GET_INT(n)			(int)					\
					oper_get (p->oper, IPS_PAR_INT, n)
#define  CO_GET_CHOICE(n)		(int)					\
					oper_get (p->oper, IPS_PAR_CHOICE, n)
#define  CO_GET_CH_ABR(n)		(int)					\
					oper_get (p->oper, IPS_PAR_CH_ABR, n)
#define  CO_GET_SLIDER(n)		(int)					\
					oper_get (p->oper, IPS_PAR_SLIDER, n)
#define  CO_GET_CHK_BOX(n)		(int)					\
					oper_get (p->oper, IPS_PAR_CHK_BOX, n)

/*
 * CO_SET_ (numero_parametre, nouvelle_valeur);
*/

#define  CO_SET_ACTIVE(n,v)		oper_set (p->oper, IPS_PAR_ACTIVE, n, v)

#define  CO_SET_REAL(n,v)		oper_set (p->oper, IPS_PAR_REAL, n, v)

#define  CO_SET_CHK_BOX(n,v)		oper_set (p->oper, IPS_PAR_CHK_BOX, n, v)

#define  CO_SET_SLIDER(n,v)		oper_set (p->oper, IPS_PAR_SLIDER, n, v)

#define  CO_SET_INT(n,v)		oper_set (p->oper, IPS_PAR_INT, n, v)

#define  CO_SET_CH_ABR(n,v)		oper_set (p->oper, IPS_PAR_, n, v)

#define  CO_SET_CHOICE(n,v)		oper_set (p->oper, IPS_PAR_, n, v)


/*
 * CO_SET_ (numero_image, nouvelle_valeur);
*/

#define  CO_SET_NAME(n,v)		strncpy (p->ima_name[n], v, IMAGE_CH1LEN)

/*
 * CO_ (numero_image);
*/

#define  CO_SET_16C(n)			p->ima_lut[n] = IPS_COUL_16C

#define  CO_SET_64G(n)			p->ima_lut[n] = IPS_COUL_64G

#define  CO_SET_BWC(n)			p->ima_lut[n] = IPS_COUL_BWC

#define  CO_REFRESH_EDITW(n)		messa_Send (MESSA_TO_ICO, p->ico[n],	\
					MESSA_REFRESH, VRAI, NULL)


/*
 * Declarations des blocs BEGIN / END
*/

#define  CO_BEGIN_CALL_OPER						\
									\
	int          call_oper (__action, __idf, p)			\
	int          __action;						\
	char        *__idf;						\
	Call_oper_p *p;							\
	{								\
	    int retour = IPS_ACT_OK;					\
	    int x, y, t;
								

#define  CO_END_CALL_OPER						\
									\
	    {   switch (__action) {					\
		    case IPS_ACT_DEF : {				\
			char bla[80];					\
			sprintf (bla,"No definition in|call_oper.c|%s"	\
			    ,__idf);					\
			oper_def (p->oper,p->mode,IPS_NAME,bla,NULL); 	\
		    } break;						\
		    case IPS_ACT_EXE :					\
		    break;						\
		} retour = IPS_ACT_Nidf;				\
	    }								\
	    return retour;						\
	}


#define  CO_BEGIN_CONNECT(x)						\
									\
	if (!strcmp(x, __idf)) switch (__action) {


#define  CO_END_CONNECT							\
									\
	    default : retour = IPS_ACT_Naction;				\
	} else

#define  CO_BEGIN_DEF							\
									\
	case IPS_ACT_DEF : { oper_def ( p->oper, p->mode,

#define  CO_END_DEF		NULL); } break;

#define  CO_BEGIN_DIM		case IPS_ACT_DIM : {
#define  CO_END_DIM		} break;


#define  CO_BEGIN_CHOICE	case IPS_ACT_CHOICE : {
#define  CO_END_CHOICE		} break;


#define  CO_BEGIN_EXE		case IPS_ACT_EXE : {
#define  CO_END_EXE		} break;




