/***************************************************************************************/
/* datas.c                                                    I.P.S  v 3.1  18/11/1993 */
/*                                                                                     */
/*                                                       Edouard.Thiel@lim.univ-mrs.fr */
/***************************************************************************************/

#include "inclus.h"

static Frame		frame_matrix;
static Panel_item	panel_matrix_list;



/****************************************************************************************
 * Cree le frame frame_matrix
 *
 ****************************************************************************************/
void dta_matrix_creer_frame ()
{
  Panel panel;

  frame_matrix = (Frame) xv_create (glo.frame_principal, FRAME_CMD,
        FRAME_LABEL,		"Matrix setting",
        NULL);

  panel = (Panel) xv_get (frame_matrix, FRAME_CMD_PANEL);

  panel_matrix_list = (Panel_item) xv_create (panel, PANEL_LIST,
	PANEL_LIST_STRINGS, "toto", "titi", "tutu", NULL,
	NULL);

  window_fit (panel);
  window_fit (frame_matrix);
}


/***************************************************************************************
 * Affichage des fenetres
 *
 ***************************************************************************************/
void dta_affi_frames (nom)
char *nom;
{
    if (!strcmp(nom, "Matrices")) {

	xv_set (frame_matrix, XV_SHOW, TRUE, NULL);
    }
}
