/***************************************************************************************/
/* obj_macro.h                                                I.P.S  v 3.1  16/12/1993 */
/*                                                                                     */
/* gestion de l'objet macro (ico->nat_obj = ICO_MACRO)   Edouard.Thiel@lim.univ-mrs.fr */
/***************************************************************************************/


typedef struct {
	int		*l_act,			/* liste des actions			*/
			*l_in,			/* liste des entrees			*/
			*l_out;			/* liste des sorties			*/
	int		n_act,			/* nb d'actions dans la macro		*/
			n_in,			/* nb d'entrees				*/
			n_out,			/* nb de sorties			*/
			etat_led,		/* coord x,y du voyant et etat		*/
			mot_x;			/* largeur max des sous-titres		*/
	char		*titre;			/* titre de la macro			*/
	} MaCom;


extern void		macro_creat		();
extern void		macro_free		();
extern void		macro_duplic		();
extern void		macro_affi_ico		();
extern void		macro_prepare_noms	();
extern void		macro_memo_creer_frame	();
extern void		macro_memo_affi_frame	();
extern void		macro_memo_proc		();
extern void		macro_check_run		();
extern int		macro_exec		();
extern Panel_item	macro_FramePcpButtCreat	();
extern void		macro_FramePcpMenuProc	();
extern void		macro_CloseAllWin	();
